Data Hub
Runs

Search Data Hub

Requires scope `runs:read`.

GET
/search

Requires scope runs:read.

Authorization

bearerAuth
AuthorizationBearer <token>

Personal access tokens begin with dhub_… and are restricted by their assigned scopes.

In: header

Query Parameters

q?string
scope?string

Value in

  • "all"
  • "runs"
  • "files"
  • "instruments"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/search"
{  "runs": [    {      "property1": null,      "property2": null    }  ],  "files": [    {      "property1": null,      "property2": null    }  ],  "instruments": [    {      "property1": null,      "property2": null    }  ]}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}